# puppet-postfix ![License][license-img]

1. [Overview](#overview)
2. [Description](#module-description)
3. [Setup](#setup)
4. [Usage](#usage)
5. [Limitations](#limitations)
6. [Development](#development)
7. [Miscellaneous](#miscellaneous)

## Overview

What is  Postfix? It is  Wietse Venema's mail server  that started life  at IBM
research as an alternative to the  widely-used Sendmail program. Now at Google,
Wietse  continues to  support Postfix.  Postfix attempts  to be  fast, easy  to
administer, and secure. The outside has a definite Sendmail-ish flavor, but the
inside is completely different.

[postfix.org](http://www.postfix.org/)

## Description

This module enables you to install, deploy, and configure postfix.

## Setup

Copy this module in your modules folder without *puppet-* in the name.

```bash
puppet module install vpgrp-postfix
```

## Usage

Use default configuration.

```puppet
class { 'postfix':
  package => true,
  service => true,
}
```

Add your configuration.

```puppet
class { 'postfix':
  package   => true,
  service   => true,
  domain    => 'vente-privee.com',
  relayhost => 'relay.vente-privee.com',
}
```

## Limitations

So far, this is compatible with Debian, RedHat, and other derivatives.

## Development

Please read carefully CONTRIBUTING.md before making a merge request.

## Miscellaneous

```
    ╚⊙ ⊙╝
  ╚═(███)═╝
 ╚═(███)═╝
╚═(███)═╝
 ╚═(███)═╝
  ╚═(███)═╝
   ╚═(███)═╝
```

[license-img]: https://img.shields.io/badge/license-Apache-blue.svg
