# == Class: postfix::params
#
# This is a container class holding default parameters for postfix module.
#
class postfix::params {
  case $::operatingsystem {
    /(?i:debian|ubuntu)/       : {
      $postfix_package_name = 'postfix'
      $postfix_service_name = 'postfix'
      $postfix_chroot       = '-'
    }
    /(?i:centos|fedora|redhat)/: {
      $postfix_package_name = 'postfix'
      $postfix_service_name = 'postfix'
      $postfix_chroot       = 'n'
    }
    default                    : {
      fail("Module ${module_name} is not supported on ${::operatingsystem}")
    }
  }
}
# EOF
