# -*- ruby -*-

require 'serverspec'

set :backend, :exec

describe 'Packages' do
  describe package('postfix') do
    it { should be_installed }
  end
end

describe 'Service' do
  describe service('postfix') do
    it { should be_running }
  end
end

describe 'Configuration files (main.cf)' do
  describe file('/etc/postfix/main.cf') do
    it { should exist }
    it { should be_owned_by 'root' }
    it { should be_grouped_into 'root' }
    it { should be_mode 644 }
    it { should contain 'noc.vpgrp.io' }
    it { should contain 'relay.vente-privee.com' }
  end
end

describe 'Configuration files (master.cf)' do
  describe file('/etc/postfix/master.cf') do
    it { should exist }
    it { should be_owned_by 'root' }
    it { should be_grouped_into 'root' }
    it { should be_mode 644 }
    it { should contain 'Puppet' }
  end
end
# EOF
